static osapi.jive.corev3.people

REST endpoint for interacting with Jive users via an API that is compatible with OpenSocial.

Examples:

Perform a GET request to . Here is an example curl command of getting one person by email and retrieving only the "name" field:

curl -u liz.employee:password "http://example.jiveon.com/api/core/v3/people/email/bob@example.com?fields=name"

Perform a GET request to . Here is an example curl command of getting one person by username and retrieving only the "emails" and "name" fields:

curl -u person:password "http://example.jiveon.com/api/core/v3/people/username/joeuser?fields=emails,name"

Perform a POST request to . Here is an example curl command of creating a task for a user with ID 1234:

curl -u user:password -H "Content-Type: application/json" --data '{ "subject": "Organize teambuilding event", "dueDate": "2012-12-05T06:59:59.999+0000" }' http://example.jiveon.com/api/core/v3/people/1234/tasks

Methods

↑
acceptTermsAndConditions(options)
POST /people/{personID}/acceptTermsAndConditions

Retrieves

--

Description

↑
create(profilefieldprivacy,options)
POST /people

Retrieves

Person

Description

↑
get(options)
GET /people

Retrieves

Person[]

Description

↑
get(options)
GET /people/email/{email}

Retrieves

Person

Description

↑
get(options)
GET /people/external/{identityType}/{identity : \([a-zA-Z0-9+/=]+\)|[^/]+}

Retrieves

Person

Description

↑
get(options)
GET /people/{uri}

Retrieves

Person

Description

↑
get(options)
GET /people/username/{username}

Retrieves

Person

Description

↑
getAll(options)
GET /people/@all

Retrieves

Person[]

Description

↑
getFilterableFields()
GET /people/@filterableFields

Retrieves

String[]

Description

↑
getMetadata()
GET /people/@metadata

Retrieves

Object

Description

↑
getOwner(options)
GET /people/{uri}

Retrieves

Person

Description

↑
getPrivateProps(options)
GET /people/{personID}/privateprops

Retrieves

PrivateProps

Description

↑
getRecommendedPeople(options)
GET /people/recommended

Retrieves

Person[]

Description

↑
getResources()
GET /people/@resources

Retrieves

Resource[]

Description

↑
getSupportedFields()
GET /people/@supportedFields

Retrieves

String[]

Description

↑
getTermsAndConditions(options)
GET /people/{personID}/termsAndConditions

Description

↑
getTrendingPeople(options)
GET /people/trending

Retrieves

Person[]

Description

↑
getViewer(options)
GET /people/{uri}

Retrieves

Person

Description

↑
requestPicker(options)

Retrieves

Object

Description

Request the Jive container to prompt the user to select either a single person, or a group of people, based on the state of the multiple option. When the user has done so, the success callback will be called, passing in either:

  • If multiple is false, or exactly one person was selected, the data will be the Person object representing the selected person
  • If more than one Person was selected, the data will be a normal list result with a list field containing the actual Person objects

If the user closes the picker without selecting any people, no callback will occur. An example call:

     osapi.jive.corev3.people.requestPicker({
         multiple : false,
         success : function(data) {
             // "data" will be the Person object selected by the user
         }
     };
Availability:

Available only within a Jive App that has included the jive-core-v3 feature.

Options:
NameTypeRequiredDescription
multipleBooleanfalseFlag indicating whether the user is allowed to select multiple people or not (default is false)
errorFunctionfalseCallback function that will be called if an error occurs. Passed data object will include a message field containing the error message.
successFunctionfalseCallback function that will be called if the user successfully selects one or more people. Passed data object will be the corresponding Person object if one person is selected, including all of the instance methods. If multiple people are selected the data object will be an array of Person objects.
↑
savePrivateProps(profilefieldprivacy,options)
POST /people/{personID}/privateprops

Retrieves

PrivateProps

Description

↑
search(options)
GET /search/people

Retrieves

Person[]

Description

Search for and return people that match the specified filter criteria.

Options:
NameTypeRequiredDescription
countIntegerfalseMaximum number of results to be returned
fieldsStringfalseNames of the fields to be returned
nameonlyStringfalseFlag indicating whether to limit search results to only people that match by name (Defaults to false)
searchStringfalseOne or more search terms, separated by commas. This filter is required. You must escape any of the following special characters embedded in the search terms: comma (","), backslash ("\"), left parenthesis ("("), and right parenthesis(")"), by preceding them with a backslash.
startIndexIntegerfalseZero-relative index of the first result to be returned
Retrieves:
  • Person[] listing the matching people